<?php
// prevent XSS
$_GET   = filter_input_array(INPUT_GET, FILTER_SANITIZE_STRING);
$_POST  = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);
$bucket = 'https://indeval-webdocs-publico-01122020.s3.amazonaws.com/';

///////////ESPAÑOL

    $time = time();
    
    $titulo_es = trim($_POST['titulo_es']);
    $titulo_es = strip_tags($titulo_es);
    $titulo_es = htmlspecialchars($titulo_es);

    $link_es = trim($_POST['link_es']);
    $link_es = strip_tags($link_es);
    $link_es = htmlspecialchars($link_es);

    $tieneSubmenu_es = trim($_POST['tieneSubmenu_es']);
    $tieneSubmenu_es = strip_tags($tieneSubmenu_es);
    $tieneSubmenu_es = htmlspecialchars($tieneSubmenu_es);


    ///////////INGLÉS

    $time_en = time();

    $titulo_en = trim($_POST['titulo_en']);
    $titulo_en = strip_tags($titulo_en);
    $titulo_en = htmlspecialchars($titulo_en);

    $link_en = trim($_POST['link_en']);
    $link_en = strip_tags($link_en);
    $link_en = htmlspecialchars($link_en);

    $tieneSubmenu_en = trim($_POST['tieneSubmenu_en']);
    $tieneSubmenu_en = strip_tags($tieneSubmenu_en);
    $tieneSubmenu_en = htmlspecialchars($tieneSubmenu_en);

    ///////////////////////PETICIÓN GRAPH CMS
    $curl = curl_init();
    curl_setopt_array($curl, array(
        CURLOPT_URL => 'https://api-us-east-1.graphcms.com/v2/ckkxmrn6cw3ga01ywc1spb2qu/master',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',

        CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  createMenuPrincipal(data: {tieneSubmenu: \\"'.$tieneSubmenu_en.'\\", link: \\"'.$link_en.'\\", estatus: \\"borrador\\", localizations: {create: {data: {tieneSubmenu: \\"'.$tieneSubmenu_es.'\\", link: \\"'.$link_es.'\\", estatus: \\"borrador\\", titulo: \\"'.$titulo_es.'\\"}, locale: es_MX}}, titulo: \\"'.$titulo_en.'\\"}) {\\r\\n    id\\r\\n  }\\r\\n}","variables":{}}',


        CURLOPT_HTTPHEADER => array(
          'Content-Type: application/json',
          'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
        ),
      ));

    $response = curl_exec($curl);
    curl_close($curl);
    //echo $response;

    $jsonrespuesta = json_decode($response, true);
    $id = $jsonrespuesta['data']['createMenuPrincipal']['id'];
    //echo $id;

    if(strlen($id)>10){

        $curl2 = curl_init();

        curl_setopt_array($curl2, array(
        CURLOPT_URL => 'https://api-us-east-1.graphcms.com/v2/ckkxmrn6cw3ga01ywc1spb2qu/master',
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  publishMenuPrincipal(where: {id: \\"'.$id.'\\"}, to: PUBLISHED, locales: es_MX) {\\r\\n    id\\r\\n  }\\r\\n}\\r\\n","variables":{}}',
        CURLOPT_HTTPHEADER => array(
            'Content-Type: application/json',
            'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
        ),
        ));

        $response2 = curl_exec($curl2);
        curl_close($curl2);
        //echo $response;
    
        $jsonrespuesta2 = json_decode($response2, true);
        $id2 = $jsonrespuesta2['data']['publishMenuPrincipal']['id'];

        if(strlen($id2)>10){

            echo '
            <script>
                $("#formnew").trigger("reset");
                $("#formnew").trigger("reset");
                $("#respuestanew").append("<h5>Enlace añadido correctamente.</h5>");
            
                setTimeout(() => {
                    $(".popUpNew").fadeOut();        
                }, 3000);
            </script>';

        }
    }

    else{
        $errorclass ="class='errormensaje'"; 
        echo '
        <script>
            $("#formnew").trigger("reset");
            $("#formnew").trigger("reset");
            $("#respuestanew").append("<p '.$errorclass.'>OCurrió un error al añadir el contenido. Verifica la información o intenta nuevamente en unos minutos.</p>");

            setTimeout(() => {
                //$(".popUpNew").fadeOut();        
            }, 3000);
        </script>';
    }



